Annonce

  •  » Outils
  •  » problème au lancement de pLoader

#1 2009-02-08 09:57:46

eric59
Membre
Proche Lille
2006-10-24
13

problème au lancement de pLoader

Bonjour à tous,

Je viens d'essayer de faire tourner pLoader sur deux pc différents et l'exécutable ne se lance pas  :-(

Deux messages différents à propos de lib qu'il ne trouve pas alors qu'elles sont bien installées:

---Can't load '/tmp/par-eric/cache-6bde72b3d9852b800709c5f8918e1b046eb1ee64/ab73ee3d.so' for module Image::Magick: libMagick.so.10: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou répertoire ce ce type at /usr/lib/perl/5.8/DynaLoader.pm line 225.
pour l'un
--- Can't load '/tmp/par-eric/cache-6bde72b3d9852b800709c5f8918e1b046eb1ee64/d500e36c.so' for module Wx: libgtk-x11-2.0.so.0: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou répertoire de ce type at /usr/lib/perl/5.8/DynaLoader.pm line 225.  at /usr/local/share/perl/5.8.8/PAR/Heavy.pm line 109
pour l'autre

Vieux réflexe: je voulais recompiler à parti des sources mais je ne les trouve  pas (j'ai surement mal cherché ;-))

Des idées ?

Merci d'avance,

Éric.

Hors ligne

#2 2009-02-08 10:08:17

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
16293

Re: problème au lancement de pLoader

Version de l'OS tu utilises ?

Version de piwigo ?


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#3 2009-02-08 10:23:13

eric59
Membre
Proche Lille
2006-10-24
13

Re: problème au lancement de pLoader

ddtddt a écrit:

Version de l'OS tu utilises ?

Debian (sid)

ddtddt a écrit:

Version de piwigo ?

Je ne l'ai pas installé, j'ai juste chargé les binaires de pLoader pour Ubuntu.

Éric.

Hors ligne

#4 2009-02-08 10:25:48

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12551

Re: problème au lancement de pLoader

eric59 a écrit:

Vieux réflexe: je voulais recompiler à parti des sources mais je ne les trouve  pas (j'ai surement mal cherché ;-))

svn checkout http://svn.gna.org/svn/phpwebgallery/ex … ader/trunk


Les historiens ont établi que Pierrick était le premier utilisateur connu de Piwigo.

Hors ligne

#5 2009-02-08 22:38:24

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12551

Re: problème au lancement de pLoader

eric59 a écrit:

Vieux réflexe: je voulais recompiler à parti des sources mais je ne les trouve  pas (j'ai surement mal cherché ;-))

Ca me fait penser qu'il faudrait prévoir de distribuer les sources de pLoader. On a l'habitude de distribuer les sources de Piwigo et il n'y a pas de version binaire. En tout cas c'est accessible sur Subversion donc il n'y a pas de volonté de cacher.


Les historiens ont établi que Pierrick était le premier utilisateur connu de Piwigo.

Hors ligne

#6 2009-02-09 09:23:53

eric59
Membre
Proche Lille
2006-10-24
13

Re: problème au lancement de pLoader

z0rglub a écrit:

eric59 a écrit:

Vieux réflexe: je voulais recompiler à parti des sources mais je ne les trouve  pas (j'ai surement mal cherché ;-))

Ca me fait penser qu'il faudrait prévoir de distribuer les sources de pLoader. On a l'habitude de distribuer les sources de Piwigo et il n'y a pas de version binaire. En tout cas c'est accessible sur Subversion donc il n'y a pas de volonté de cacher.

Je me doute bien ;-)
Le tout était de le savoir.

J'ai donc récupéré les sources et lorsque je le lance ploader:
perl ploader.pl
Il m'assassine avec:
Can't locate Class/Accessor/Fast.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at ploader.pl line 23.
BEGIN failed--compilation aborted at ploader.pl line 23.

Pourtant Fast est bien installé:
dpkg -l *perl*|grep fast|grep ii
ii  libcgi-fast-perl                     5.10.0-19                  CGI::Fast Perl module

Fast.pm se trouve dans /usr/share/perl5/CGI

Je ne connais pas perl mais visiblement Fast.pm se  trouve bien dans un des répertoires de recherche ( /usr/share/perl5 ). C'est peut-être le sous-répertoire CGI que le dérange ?

Éric.

Hors ligne

#7 2011-12-04 16:38:28

guiyou65
Membre
2010-01-16
48

Re: problème au lancement de pLoader

J'ai le même problème avec Ubuntu 11.10 X64 et pLoader 1.6

Code:

~ $ perl ploader.pl 
Can't locate Class/Accessor/Fast.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.12.4 /usr/local/share/perl/5.12.4 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.12 /usr/share/perl/5.12 /usr/local/lib/site_perl .) at ploader.pl line 25.
BEGIN failed--compilation aborted at ploader.pl line 25.

Quelle est la manip pour y arriver ?

Hors ligne

#8 2011-12-04 17:20:15

guiyou65
Membre
2010-01-16
48

Re: problème au lancement de pLoader

Bon, j'ai trouvé le truc. Il faut installer le module libclass-accessor-perl via synaptic.

Mais maintenant je retombe sur

Code:

Byte order is not compatible at ../../lib/Storable.pm (autosplit into ../../lib/auto/Storable/_retrieve.al) line 380.
Byte order is not compatible at ../../lib/Storable.pm (autosplit into ../../lib/auto/Storable/_retrieve.al) line 380, at Uploader/GUI/wxApp.pm line 218
Byte order is not compatible at ../../lib/Storable.pm (autosplit into ../../lib/auto/Storable/_retrieve.al) line 380, at Uploader/GUI/wxApp.pm line 218

Et je n'ai pas de ~/.pLoader à supprimer.

Je vois bien qu'il y a un rapport avec les fichiers de configuration antérieurs. Mais où sont-ils ?

Hors ligne

#9 2011-12-04 17:36:34

guiyou65
Membre
2010-01-16
48

Re: problème au lancement de pLoader

Suite et fin, en espérant que tout ceci serve à quelqu'un.

Le répertoire .pLoader à effacer se trouve dans ~/.local/share

Et ça fonctionne !

Hors ligne

#10 2011-12-16 08:24:28

nicophotographies
Membre
2010-12-14
140

Re: problème au lancement de pLoader

guiyou65 a écrit:

J'ai le même problème avec Ubuntu 11.10 X64 et pLoader 1.6

Code:

~ $ perl ploader.pl 
Can't locate Class/Accessor/Fast.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.12.4 /usr/local/share/perl/5.12.4 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.12 /usr/share/perl/5.12 /usr/local/lib/site_perl .) at ploader.pl line 25.
BEGIN failed--compilation aborted at ploader.pl line 25.

Quelle est la manip pour y arriver ?

Pour ubuntu il y a un paquet dans la logithèque aussi. Un jour ou j'ai eu un problème avec les scripts de lancement je m'en suis rendu compte et l'ai installé par cette voie.

Hors ligne

  •  » Outils
  •  » problème au lancement de pLoader

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2022 · Contact